Subject: bug#67480: closed (Re: bug#67480: 30.0.50; Cannot start eglot)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Dec 2023 16:03:01 +0000

Your bug report

#67480: 30.0.50; Cannot start eglot

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67480: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67480
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67480: 30.0.50; Cannot start eglot
From: João Távora <[email-masked]>
To: Stefan Monnier <[email-masked]>, [email-masked]
Cc: Mou Tong <[email-masked]>
Date: Fri, 1 Dec 2023 16:04:59 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Nov 29, 2023 at 12:40 AM João Távora <[email-masked]> wrote:
>
> On Tue, Nov 28, 2023 at 5:27 PM João Távora <[email-masked]> wrote:
>
> > I don't have the code in front of me, but ok, so a lazy slot.
>
> I've now fixed this and a bunch of other similar problems in
> master.  But let's wait a few more days if some more related
> flak comes in before closing this.

I think the problem has been fixed, so closing.  I hope
the other bugs merged with this one will be closed as well
as a consequence.

João

Subject: 30.0.50; Cannot start eglot
From: Mou Tong <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 27 Nov 2023 08:12:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

 1. `emacs -Q`
 2. Open a src file and `M-x eglot`
 3. Get the following message:

 ```
 Loading project (native compiled elisp)...done
 Loading eldoc (native compiled elisp)...done
 Loading seq (native compiled elisp)...done
 Loading flymake (native compiled elisp)...done
 Loading xref (native compiled elisp)...done
 Loading jsonrpc (native compiled elisp)...done
 Loading external-completion (native compiled elisp)...done
 Unbound slot: eglot-lsp-server, "#<eglot-lsp-server
 eglot-lsp-server-1feea1d8dd60>", -events-buffer, oref
 error in process filter: Unbound slot: eglot-lsp-server,
 "#<eglot-lsp-server eglot-lsp-server-1feea1d8dd60>", -events-buffer, oref
 [2 times]
 ```

 I tested `.c` using `c-mode` or `c-ts-mode`, `.rs` with `rust-ts-mode`,
 all of them show the above error, so I guess it's not major mode's problem.

---

In GNU Emacs 30.0.50 (build 1, x86_64-apple-darwin21.6.0, NS
 appkit-2113.60 Version 12.7.1 (Build 21G920)) of 2023-11-27 built on
 dalum.local
Repository revision: 2407f810136739da376ff0929b247a49dc196299
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2113
System Description:  macOS 12.7.1

Configured using:
 'configure --with-native-compilation=aot'

Configured features:
ACL DBUS GIF GLIB GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY KQUEUE NS PDUMPER PNG RSVG SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM ZLIB

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: C/*